## org.apache.myfaces.renderkit.html.ext
Class HtmlTextRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlTextRendererBase
                  org.apache.myfaces.renderkit.html.ext.HtmlTextRenderer

Direct Known Subclasses:
  HtmlTextHelpRenderer

public class HtmlTextRenderer
extends HtmlTextRendererBase

Version:
  $Revision: 279369 $ $Date: 2005-09-07 12:16:26 -0400 (Wed, 07 Sep 2005) $
Author:
  Manfred Geiler (latest modification by $Author: baranda $)

Constructor Summary
`HtmlTextRenderer()`

Method Summary
`void` `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`protected boolean` `isDisabled(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`protected void` `renderInputValueOnly(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`protected void` `renderNormal(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlTextRendererBase
`decode, getConvertedValue, renderInput, renderOutput, renderOutputText`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlRenderer
`encodeChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, encodeBegin, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlTextRenderer

    public HtmlTextRenderer()

Method Detail

### isDisabled

    protected boolean isDisabled(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent uiComponent)

  Overrides:
    `isDisabled` in class `HtmlTextRendererBase`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent component)
                   throws java.io.IOException

  Overrides:
    `encodeEnd` in class `HtmlTextRendererBase`
  Throws:
    `java.io.IOException`

### renderInputValueOnly

    protected void renderInputValueOnly(javax.faces.context.FacesContext facesContext,
                                        javax.faces.component.UIComponent component)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderNormal

    protected void renderNormal(javax.faces.context.FacesContext facesContext,
                                javax.faces.component.UIComponent component)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`